Stablecoin payroll & payroll admin
Get Stable Coin Payroll By ID
Name and signature indicate it gets token payroll by id
Not available to API keys yet. It will need payroll:write and banking:read and compensation:read.
curl --request POST \
--url 'https://api.toku.com/stablecoin-payroll/get-stable-coin-payroll-by-id' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"tokenPayrollID": "string",
"payrollTypes": [
"ON_CYCLE"
]
}'{
"tokenPayrollID": "string",
"paymentBackend": "LEGACY",
"name": "string",
"payPeriodStart": "string",
"payPeriodEnd": "string",
"payDate": "string",
"fiatCurrency": "string",
"state": "string",
"type": "ON_CYCLE",
"isStablecoinOnlySettlement": true,
"payrollSyncedSource": "string",
"token": {
"tokenTypeID": "string",
"tokenName": "string",
"tokenIconUrl": "string",
"networkName": "string",
"networkIconUrl": "string",
"networkID": "string",
"currencyCode": "string"
},
"contributorsInPayroll": [
{
"contributorInTokenPayrollID": "string",
"roleInOrgID": "string",
"externalEmployeeID": "string",
"contributorName": "string",
"payrollCurrencyCode": "string",
"totalPayrollAmount": "string",
"totalDeductionAmount": "string",
"netPayrollAmount": "string",
"settlements": [
{
"contributorInTokenPayrollID": "string",
"roleInOrgID": "string",
"token": {
"tokenTypeID": "string",
"tokenName": "string",
"tokenIconUrl": "string",
"networkName": "string",
"networkIconUrl": "string",
"networkID": "string",
"currencyCode": "string"
},
"walletAddress": "string",
"fiatAmount": "string",
"tokenAmount": "string",
"exchangeRate": "string",
"exchangeRateSource": "COINMARKETCAP",
"currencyCode": "string",
"settlementOrderForContributorTokenPayrollID": "string",
"dateCreated": "string",
"exchangeRateRefetchedAt": "string",
"settled": true,
"transactionHash": "string",
"transactionLink": "string",
"dateFulfilled": "string",
"deductionsPosted": true,
"exportedAt": "string",
"submitVia": "SQUADS",
"dateProposed": "string",
"pendingTransaction": {
"tokenSettlementForContributorSubmittedTransactionID": "string",
"status": "string",
"linkToTransaction": "string",
"type": "SQUADS",
"aprovedOnDate": "string",
"rejectedOnDate": "string",
"createdAt": "string",
"coinbasePrimeDetails": {
"primeTransactionID": "string",
"portfolioID": "string",
"walletID": "string",
"linkToBlockExplorer": "string"
},
"squadsDetails": {
"transactionIndex": 0,
"transactionProposal": "string",
"linkToBlockExplorer": "string"
},
"fordefiDetails": {
"attemptID": "string",
"attemptNumber": 0,
"state": "string",
"providerTransactionID": "string",
"providerState": "string",
"transactionHash": "string",
"explorerUrl": "string",
"errorMessage": "string",
"custodyWalletID": "string",
"providerVaultID": "string",
"chainID": "string"
}
}
}
],
"payrollAllocationErrors": [
{
"contributorInTokenPayrollID": "string",
"error": "string",
"computedSettlement": {
"contributorInTokenPayrollID": "string",
"roleInOrgID": "string",
"token": {
"tokenTypeID": "string",
"tokenName": "string",
"tokenIconUrl": "string",
"networkName": "string",
"networkIconUrl": "string",
"networkID": "string",
"currencyCode": "string"
},
"walletAddress": "string",
"fiatAmount": "string",
"tokenAmount": "string",
"exchangeRate": "string",
"exchangeRateSource": "COINMARKETCAP",
"currencyCode": "string",
"settlementOrderForContributorTokenPayrollID": "string",
"dateCreated": "string",
"exchangeRateRefetchedAt": "string",
"settled": true,
"transactionHash": "string",
"transactionLink": "string",
"dateFulfilled": "string",
"deductionsPosted": true,
"exportedAt": "string",
"submitVia": "SQUADS",
"dateProposed": "string",
"pendingTransaction": {
"tokenSettlementForContributorSubmittedTransactionID": "string",
"status": "string",
"linkToTransaction": "string",
"type": "SQUADS",
"aprovedOnDate": "string",
"rejectedOnDate": "string",
"createdAt": "string",
"coinbasePrimeDetails": {
"primeTransactionID": "string",
"portfolioID": "string",
"walletID": "string",
"linkToBlockExplorer": "string"
},
"squadsDetails": {
"transactionIndex": 0,
"transactionProposal": "string",
"linkToBlockExplorer": "string"
},
"fordefiDetails": {
"attemptID": "string",
"attemptNumber": 0,
"state": "string",
"providerTransactionID": "string",
"providerState": "string",
"transactionHash": "string",
"explorerUrl": "string",
"errorMessage": "string",
"custodyWalletID": "string",
"providerVaultID": "string",
"chainID": "string"
}
}
}
}
],
"tokenTypeID": "string",
"tokenType": {
"tokenTypeID": "string",
"tokenName": "string",
"tokenIconUrl": "string",
"networkName": "string",
"networkIconUrl": "string",
"networkID": "string",
"currencyCode": "string"
},
"availableWalletTokens": [
{
"tokenTypeID": "string",
"tokenName": "string",
"tokenIconUrl": "string",
"networkName": "string",
"networkIconUrl": "string",
"networkID": "string"
}
],
"hasWalletForSelectedToken": true,
"positionID": "string",
"payrollGroup": "string",
"walletVerified": true,
"approved": true,
"isPassedCutoffDate": true,
"isTerminated": true
}
],
"settlementMethod": "manual",
"fundingEmailSent": true,
"adpDeductionsVerified": true,
"payrollIntegrationEntityId": "string",
"resolvedFireblocksConfig": {
"configSource": "entity",
"vaultAccountId": "string",
"entityName": "string"
}
}Authorizations
AuthorizationstringheaderrequiredBearer authentication header of the form Bearer <token>, where <token> is an access token from a Toku sign-in. See Authentication in the API reference.
Body
application/json
tokenPayrollIDstringrequiredpayrollTypesstring[]Response
200Successful response
tokenPayrollIDstringrequiredpaymentBackendstring | nullrequiredAvailable options: LEGACY, UNIFIED, null
namestringrequiredpayPeriodStartstringrequiredpayPeriodEndstringrequiredpayDatestringrequiredfiatCurrencystringrequiredstatestringrequiredtypestringrequiredAvailable options: ON_CYCLE, OFF_CYCLE, INVOICE_PAYMENT
isStablecoinOnlySettlementbooleanrequiredpayrollSyncedSourcestringtokenobjectShow child attributes
tokenTypeIDstringrequiredtokenNamestringrequiredtokenIconUrlstringrequirednetworkNamestringrequirednetworkIconUrlstringrequirednetworkIDstringrequiredcurrencyCodestringrequiredcontributorsInPayrollobject[]requiredShow child attributes
contributorInTokenPayrollIDstringrequiredroleInOrgIDstringrequiredexternalEmployeeIDstringrequiredcontributorNamestringrequiredpayrollCurrencyCodestringrequiredtotalPayrollAmountstringrequiredtotalDeductionAmountstringrequirednetPayrollAmountstringrequiredsettlementsobject[]requiredShow child attributes
contributorInTokenPayrollIDstringrequiredroleInOrgIDstringrequiredtokenobjectrequiredShow child attributes
tokenTypeIDstringrequiredtokenNamestringrequiredtokenIconUrlstringrequirednetworkNamestringrequirednetworkIconUrlstringrequirednetworkIDstringrequiredcurrencyCodestringrequiredwalletAddressstringrequiredfiatAmountstringrequiredtokenAmountstringrequiredexchangeRatestringrequiredexchangeRateSourcestringAvailable options: COINMARKETCAP, ORACLE_ERP, CUSTOM, XE, PEGGED
currencyCodestringrequiredsettlementOrderForContributorTokenPayrollIDstringdateCreatedstringexchangeRateRefetchedAtstringsettledbooleanrequiredtransactionHashstringtransactionLinkstringdateFulfilledstringdeductionsPostedbooleanexportedAtstringsubmitViastringAvailable options: SQUADS, BRIDGE, COINBASE_PRIME, FIREBLOCKS, FORDEFI
dateProposedstringpendingTransactionobjectShow child attributes
tokenSettlementForContributorSubmittedTransactionIDstringrequiredstatusstringrequiredlinkToTransactionstringrequiredtypestringrequiredAvailable options: SQUADS, BRIDGE, COINBASE_PRIME, FIREBLOCKS, FORDEFI
aprovedOnDatestring | nullrequiredrejectedOnDatestring | nullrequiredcreatedAtstringrequiredcoinbasePrimeDetailsobjectShow child attributes
primeTransactionIDstringrequiredportfolioIDstringrequiredwalletIDstringrequiredlinkToBlockExplorerstringrequiredsquadsDetailsobjectShow child attributes
transactionIndexintegerrequiredtransactionProposalstringrequiredlinkToBlockExplorerstringrequiredfordefiDetailsobjectShow child attributes
attemptIDstringrequiredattemptNumberintegerrequiredstatestringrequiredproviderTransactionIDstring | nullrequiredproviderStatestring | nullrequiredtransactionHashstring | nullrequiredexplorerUrlstring | nullrequirederrorMessagestring | nullrequiredcustodyWalletIDstring | nullrequiredproviderVaultIDstringrequiredchainIDstringrequiredpayrollAllocationErrorsobject[]requiredShow child attributes
contributorInTokenPayrollIDstringrequirederrorstringrequiredcomputedSettlementobjectrequiredShow child attributes
contributorInTokenPayrollIDstringrequiredroleInOrgIDstringrequiredtokenobjectrequiredShow child attributes
tokenTypeIDstringrequiredtokenNamestringrequiredtokenIconUrlstringrequirednetworkNamestringrequirednetworkIconUrlstringrequirednetworkIDstringrequiredcurrencyCodestringrequiredwalletAddressstringrequiredfiatAmountstringrequiredtokenAmountstringrequiredexchangeRatestringrequiredexchangeRateSourcestringAvailable options: COINMARKETCAP, ORACLE_ERP, CUSTOM, XE, PEGGED
currencyCodestringrequiredsettlementOrderForContributorTokenPayrollIDstringdateCreatedstringexchangeRateRefetchedAtstringsettledbooleanrequiredtransactionHashstringtransactionLinkstringdateFulfilledstringdeductionsPostedbooleanexportedAtstringsubmitViastringAvailable options: SQUADS, BRIDGE, COINBASE_PRIME, FIREBLOCKS, FORDEFI
dateProposedstringpendingTransactionobjectShow child attributes
tokenSettlementForContributorSubmittedTransactionIDstringrequiredstatusstringrequiredlinkToTransactionstringrequiredtypestringrequiredAvailable options: SQUADS, BRIDGE, COINBASE_PRIME, FIREBLOCKS, FORDEFI
aprovedOnDatestring | nullrequiredrejectedOnDatestring | nullrequiredcreatedAtstringrequiredcoinbasePrimeDetailsobjectShow child attributes
primeTransactionIDstringrequiredportfolioIDstringrequiredwalletIDstringrequiredlinkToBlockExplorerstringrequiredsquadsDetailsobjectShow child attributes
transactionIndexintegerrequiredtransactionProposalstringrequiredlinkToBlockExplorerstringrequiredfordefiDetailsobjectShow child attributes
attemptIDstringrequiredattemptNumberintegerrequiredstatestringrequiredproviderTransactionIDstring | nullrequiredproviderStatestring | nullrequiredtransactionHashstring | nullrequiredexplorerUrlstring | nullrequirederrorMessagestring | nullrequiredcustodyWalletIDstring | nullrequiredproviderVaultIDstringrequiredchainIDstringrequiredtokenTypeIDstringtokenTypeobjectShow child attributes
tokenTypeIDstringrequiredtokenNamestringrequiredtokenIconUrlstringrequirednetworkNamestringrequirednetworkIconUrlstringrequirednetworkIDstringrequiredcurrencyCodestringrequiredavailableWalletTokensobject[]Show child attributes
tokenTypeIDstringrequiredtokenNamestringrequiredtokenIconUrlstringrequirednetworkNamestringrequirednetworkIconUrlstringrequirednetworkIDstringrequiredhasWalletForSelectedTokenbooleanpositionIDstringpayrollGroupstringwalletVerifiedbooleanrequiredapprovedbooleanrequiredisPassedCutoffDatebooleanrequiredisTerminatedbooleanrequiredsettlementMethodstringrequiredAvailable options: manual, propose
fundingEmailSentbooleanrequiredadpDeductionsVerifiedbooleanrequiredpayrollIntegrationEntityIdstring | nullrequiredresolvedFireblocksConfigobject | nullrequiredShow child attributes
configSourcestringrequiredAvailable options: entity, org
vaultAccountIdstringrequiredentityNamestring | nullrequired